package com.jscape.inet.protocol;

/**
 * @author Alex Usun
 */
public abstract class Message
        extends AbstractSessionRequest {

    protected Message(Session session) {
        super(session);
    }

    public void setHandled() {
        super.setHandled();
    }

    public void fire() {
        iterateHandlers();
        assertHandled();
    }

    public abstract String getName();

    public abstract String getParametersString();

}
